Fog error after version bumping gems and doing `bundle update` #88

Closed
veganstraightedge opened this Issue Feb 27, 2014 · 2 comments

Comments

Projects
None yet
2 participants
Contributor

veganstraightedge commented Feb 27, 2014

/Users/s/.gem/ruby/1.9.3/gems/fog-1.12.1/lib/fog/core/service.rb:208:in `validate_options': Missing required arguments: aws_access_key_id, aws_secret_access_key (ArgumentError)
    from /Users/s/.gem/ruby/1.9.3/gems/fog-1.12.1/lib/fog/core/service.rb:58:in `new'
    from /Users/s/.gem/ruby/1.9.3/gems/fog-1.12.1/lib/fog/storage.rb:20:in `new'
    from /Users/s/.gem/ruby/1.9.3/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:83:in `eager_load_fog'
    from /Users/s/.gem/ruby/1.9.3/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:96:in `fog_credentials='
    from /Users/s/Dropbox/Projects/dateedge/website/config/initializers/carrierwave.rb:9:in `block in <top (required)>'
    from /Users/s/.gem/ruby/1.9.3/gems/carrierwave-0.10.0/lib/carrierwave/uploader/configuration.rb:118:in `configure'
    from /Users/s/.gem/ruby/1.9.3/gems/carrierwave-0.10.0/lib/carrierwave.rb:14:in `configure'
    from /Users/s/Dropbox/Projects/dateedge/website/config/initializers/carrierwave.rb:7:in `<top (required)>'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:223:in `load'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:223:in `block in load'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:214:in `load_dependency'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:223:in `load'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/engine.rb:609:in `block (2 levels) in <class:Engine>'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/engine.rb:608:in `each'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/engine.rb:608:in `block in <class:Engine>'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:30:in `instance_exec'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:30:in `run'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:55:in `block in run_initializers'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:150:in `block in tsort_each'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:183:in `block (2 levels) in each_strongly_connected_component'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:210:in `block (2 levels) in each_strongly_connected_component_from'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:219:in `each_strongly_connected_component_from'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:209:in `block in each_strongly_connected_component_from'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:44:in `each'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:44:in `tsort_each_child'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:203:in `each_strongly_connected_component_from'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:182:in `block in each_strongly_connected_component'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:180:in `each'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:180:in `each_strongly_connected_component'
    from /Users/s/.rubies/ruby-1.9.3-p448/lib/ruby/1.9.1/tsort.rb:148:in `tsort_each'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/initializable.rb:54:in `run_initializers'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/application.rb:215:in `initialize!'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/railtie/configurable.rb:30:in `method_missing'
    from /Users/s/Dropbox/Projects/dateedge/website/config/environment.rb:5:in `<top (required)>'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:229:in `require'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:229:in `block in require'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:214:in `load_dependency'
    from /Users/s/.gem/ruby/1.9.3/gems/activesupport-4.0.3/lib/active_support/dependencies.rb:229:in `require'
    from /Users/s/Dropbox/Projects/dateedge/website/config.ru:3:in `block in <main>'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/builder.rb:55:in `instance_eval'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/builder.rb:55:in `initialize'
    from /Users/s/Dropbox/Projects/dateedge/website/config.ru:in `new'
    from /Users/s/Dropbox/Projects/dateedge/website/config.ru:in `<main>'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/builder.rb:49:in `eval'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/builder.rb:49:in `new_from_string'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/builder.rb:40:in `parse_file'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/server.rb:277:in `build_app_and_options_from_config'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/server.rb:199:in `app'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/commands/server.rb:48:in `app'
    from /Users/s/.gem/ruby/1.9.3/gems/rack-1.5.2/lib/rack/server.rb:314:in `wrapped_app'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/commands/server.rb:75:in `start'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/commands.rb:76:in `block in <top (required)>'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/commands.rb:71:in `tap'
    from /Users/s/.gem/ruby/1.9.3/gems/railties-4.0.3/lib/rails/commands.rb:71:in `<top (required)>'
    from bin/rails:4:in `require'
    from bin/rails:4:in `<main>'
Contributor

veganstraightedge commented Feb 27, 2014

I got around this for now by copying the ENV VARs from .env into my .bash_profile temporarily.

Any ideas why .env isn't working for me?

Contributor

bookis commented Feb 28, 2014

Use foreman start to start the server and foreman run rake ... For any other commands that load the environment.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment